
#include "defines.inc"

// Copy of BIS_fnc_holdAction_animationTimerCode

// Fixed this function so that each action has its own animation idle time
// And bis_fnc_holdAction_animationIdleFrame is updated after fixed interval

fixHoldActTimer =
{
params["_title","_iconIdle","_hint"];


// Check if its time to update the frame
private _frameProgress = "frameprog";
if(time > (missionNamespace getVariable [_frameProgress,-1])) then
{
 missionNamespace setVariable [_frameProgress,time + 0.065];

 bis_fnc_holdAction_animationIdleFrame = (bis_fnc_holdAction_animationIdleFrame + 1) % 12;
};

// Each action has its own animation variable
private _var = "bis_fnc_holdAction_animationIdleTime_" + (str _actionID);


if (time > (missionNamespace getVariable [_var,-1]) && {_eval}) then
{

	//bis_fnc_holdAction_animationIdleTime = time + 0.065;

   missionNamespace setVariable [_var, time + 0.065];


	//play idle animation only when action is not in progress
	if (!bis_fnc_holdAction_running) then
	{
		//idle animations always have 12 frames
		[_originalTarget,_actionID,_title,_iconIdle,TEXTURES_IDLE,bis_fnc_holdAction_animationIdleFrame,_hint] call bis_fnc_holdAction_showIcon;
	};


};
};


fixedHoldAct =  compileScript ["holdActFix\holdActFixed.sqf"];

